<?php
// -------------------------------------------------
// Factsmith Syncbox v1.0, (C) 2011
// Licensed under the GNU GPL
// -------------------------------------------------
// cron.php (cleans up deleted files) - rev. 1.0

$a = ""; if (array_key_exists('a', $_GET)) $a = $_GET['a'];
$p = ""; if (array_key_exists('p', $_GET)) $p = $_GET['p'];

// Load config file and store variables as keys of $config[]
$configfile = file("./system/config.txt");
foreach ($configfile as $line) {
	if (strpos($line, "=")) {
		$key = substr($line, 0, strpos($line, "="));
		$value = trim(substr($line, strpos($line, "=") + 1));
		$config[$key] = $value;
	}
}

// Deny if wrong password
if ($p != $config['cronpassword']) {
	echo "Incorrect password.";
	exit;
}

// ============================================
// Full scan (if archive not specified)
// ============================================
if ($a == "") {
	// Clear logfile
	file_put_contents('./system/cronlog.txt', '');
	$deletedfiles = 0;
	
	// Cycle through all archives and run this script for each one
	$users = file('./system/users.txt');
	foreach ($users as $userdata) {
		$user = trim(substr($userdata, 0, strpos($userdata, '=')));
		scan_archive($user);
	}
	
	// Exit
	echo count($users) . " archive(s) scanned, " . $deletedfiles . " deleted file(s) removed.";
	exit;
}

// ============================================
// Individual archive
// ============================================

// Deny if illegal archive name
if (strpos($a, '.') || strpos($a, chr(13)) || strpos($a, chr(10)) || strpos($a, ' ') || strpos($a, '/') || strpos($a, '\\') || strpos($a, '!') || strpos($a, '*') || strpos($a, ':') || strpos($a, '?') || strpos($a, '"') || strpos($a, '<') || strpos($a, '>') || strpos($a, '|')) { // illegal characters in archive name
	echo "Illegal archive name.";
	exit;
}

// Deny if nonexistent archive
$found = 0;
$users = file('./system/users.txt');
foreach ($users as $userdata) {
	$user = trim(substr($userdata, 0, strpos($userdata, '=')));
	if ($user == $a) { // match
		$found = 1;
		break;
	}
}
if ($found == 0) exit; // archive does not exist

// Do scan
scan_archive($a);


// FUNCTION: Scan single archive - find deletes in FILES.DAT and remove hard copy
function scan_archive($aname) {
	global $deletedfiles;

	$logfile = file_get_contents("./system/cronlog.txt");
	$files = file("./boxes/$aname/FILES.DAT");
	foreach ($files as $keyname => $line) { $files[$keyname] = trim($files[$keyname]); } // trim end-of-lines
	foreach ($files as $keyname => $line) {
		// get filename and information
		$revisions = trim(substr($line, strrpos($line, ',') + 1));
		$file = str_replace('\\', '/', trim(substr($line, 1, strrpos($line, '"') - 1)));
		
		if ($revisions == -1) { // found deleted file
			if (file_exists("./boxes/$aname" . $file)) { // if it exists, delete it
				unlink("./boxes/$aname" . $file);
				$logfile .= '/' . $aname . $file . chr(13) . chr(10);
				$deletedfiles++;
			}
		}
	}
	file_put_contents("./system/cronlog.txt", $logfile);
}

?>