<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>Factsmith Syncbox</title>
	<link rel="stylesheet" type="text/css" href="style.css">
	<link rel="icon" type="image/vnd.microsoft.icon" href="favicon.ico">
	
	<script type="text/javascript">
		var RecaptchaOptions = { theme : 'clean' };
	</script>
</head>

<body>
<?php
	// Load config file and store variables as keys of $config[]
	$configfile = file("./system/config.txt");
	foreach ($configfile as $line) {
		if (strpos($line, "=")) {
			$key = substr($line, 0, strpos($line, "="));
			$value = trim(substr($line, strpos($line, "=") + 1));
			$config[$key] = $value;
		}
	}
?>

<div id="header">Factsmith Syncbox</div>

<div id="wrap">
<!-- MAIN BODY CONTENT -->

<p>Syncbox is an HTTP synchronization host for Factsmith v1.1 and up. Synchronization allows you to share and collaborate on briefs by using an online repository instead of everyone having their own individual copies. Instead of manually emailing updates to your partner or clubmates, you can just click a button and instantly have the latest versions of everything.</p>
<h1>Register a new archive</h1>
<?php if ($config['registrationpassword'] == '') { ?><p>Registration is free, and you can store as many files as you want (individual briefs are limited to 1 MB, about 400 pages.)</p><?php } ?>
<?php if (array_key_exists('err', $_GET)) { ?><p class='error'><?php echo $_GET['err']; ?></p><?php } ?>
<form action="register.php" method="post">
	<?php // reCAPTCHA
		if ($config['reCAPTCHA-publickey'] != '') {
			echo '<div style="float:right;">';
			require_once('recaptchalib.php');
			$publickey = $config['reCAPTCHA-publickey'];
			echo recaptcha_get_html($publickey);
			echo '</div>';
		}
	?>

	<?php if ($config['registrationpassword'] != '') { ?><b>Admin Password</b>: <input type="password" name="regadmin" style="position:relative; left:14px;"><br><?php } ?>
	<b>Email</b>: <input type="text" name="regemail" style="position:relative; left:86px;" <?php if (array_key_exists('regemail', $_GET)) echo 'value="' . $_GET['regemail'] . '"'; ?>><br>
	<b>Archive name</b>: <input type="text" name="reguser" style="position:relative; left:32px;" <?php if (array_key_exists('reguser', $_GET)) echo 'value="' . $_GET['reguser'] . '"'; ?>><br>
	<b>Password</b>: <input type="password" name="regpwd" style="position:relative; left:61px;" <?php if (array_key_exists('regpwd', $_GET)) echo 'value="' . $_GET['regpwd'] . '"'; ?>><br>
	<b>Confirm password</b>: <input type="password" name="regpwdconf" style="position:relative; left:4px;" <?php if (array_key_exists('regpwdconf', $_GET)) echo 'value="' . $_GET['regpwdconf'] . '"'; ?>><br>
	<input type="submit" value="  Register  ">
</form>
<p>For greater flexibility, Factsmith can also synchronize via FTP, or to a personal syncbox server. For details, see the <a href="http://www.cogdebate.com/factsmith/help.php?p=NetSync.html">documentation on internet synchronization.</a> Syncbox is open-source; you can download the code <a href="http://www.cogdebate.com/factsmith/resources.html">here.</a></p>

<h1>Log in to manage an archive</h1>
<?php if (array_key_exists('errlogin', $_GET)) { ?><p class='error'><?php echo $_GET['errlogin']; ?></p><?php } ?>
<form action="manager.php" method="get">
	Archive name:&nbsp;&nbsp;<input type="text" name="a">
	&nbsp;&nbsp;Password:&nbsp;&nbsp;<input type="password" name="p">
	<input type="submit" value="  Log in  ">
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="retrieve.php">Forgot your login information?</a>
</form><br>

<!-- END MAIN BODY CONTENT -->
</div>

<div id="footer">
	<p style="margin-top:8px; margin-bottom:8px;">&copy; 2011 Snapdragon Computing. Licensed under the <a href="http://www.gnu.org/licenses/gpl.html">GNU GPL v3.</a> <span style="float:right;">Valid: <a href="http://validator.w3.org/check?uri=referer">HTML</a> | <a href="http://jigsaw.w3.org/css-validator/check/referer">CSS</a></span></p>
</div>

</body>
</html>