<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>Factsmith Syncbox</title>
	<link rel="stylesheet" type="text/css" href="style.css">
	<link rel="icon" type="image/vnd.microsoft.icon" href="favicon.ico">
</head>

<body>

<div id="header">Factsmith Syncbox</div>

<div id="wrap">
<!-- MAIN BODY CONTENT -->

<?php
	$a = htmlspecialchars($_GET['a']);
	$p = htmlspecialchars($_GET['p']);
?>

<p>Welcome to Syncbox! This page will give you all the information you need to connect your copy of Factsmith to the <b><?php echo $a ?></b> brief archive, so you can get started sharing your evidence with your partner or clubmates.</p>

<h1>Connection instructions</h1>
<p>In Factsmith, click on the <b>Tools</b> menu and select <b>Options</b>. When the Options box comes up, click the <b>Storage</b> tab. The top part of the box should have your personal information; the lower part of the box should look like this:</p>
<div class="screenshot"><img alt="Screenshot" src="screenshot.png"></div>
<p>Click the text <i>"Enable synchronizing to an online brief database"</i> so a checkmark appears in the box next to it. You should now be able to enter text in the other boxes. Enter the following values:</p>
<p class="fieldprompt">In the <i>Host URL</i> box: <b><?php echo "http://" . $_SERVER['HTTP_HOST'] . substr($_SERVER['SCRIPT_NAME'], 0, strlen($_SERVER['SCRIPT_NAME']) - 17); ?></b></p>
<p class="fieldprompt">In the <i>Username</i> box: <b><?php echo $a; ?></b></p>
<p class="fieldprompt">In the <i>Password</i> box: <b><?php echo $p; ?></b></p>
<p>Next, set the folder to synchronize. If you leave it as <b>(base)</b>, Factsmith will synchronize everything in your home folder (everything that appears in the brief list on the left side of the main window.) This is probably fine if you're just synchronizing with your partner, but if you want to keep your shared files separate from all your other briefs, you should tell Factsmith to synchronize only a specific folder. Click the <b>Browse...</b> and select the folder you want. (A new blank folder works best.)</p>
<p>When you're done, just click the <b>OK</b> button.</p>
<h1>Usage instructions</h1>
<p>A new button will have appeared on the toolbar - <b>Synchronize.</b> Whenever you click this button, Factsmith will connect to the archive, download any updated briefs, and upload any changes you've made. This way, whenever someone makes a change, everyone else will also get that change the next time they synchronize.</p>
<p><b>If possible, you should <i>always</i> synchronize right before and after editing any brief.</b> If different people try to edit the same brief without synchronizing, unexpected things can happen and you may lose some of the changes. Be safe - sync often.</p>
<p>Since what you do affects everyone else connected to the archive, be very careful when deleting files or evidence. Ideally, someone should keep a backup of all the files in the archive, so if there's an accident, you don't lose all your evidence.</p>

<h1>Connecting other people</h1>
<p>Anyone with the login information on this page can connect to the archive. For easiest connection, just copy the address of this page from the URL bar and email it to everyone who's supposed to have access, so they can see these instructions.</p>

<!-- END MAIN BODY CONTENT -->
</div>

<div id="footer">
	<p style="margin-top:8px; margin-bottom:8px;">&copy; 2011 Snapdragon Computing. Licensed under the <a href="http://www.gnu.org/licenses/gpl.html">GNU GPL v3.</a> <span style="float:right;">Valid: <a href="http://validator.w3.org/check?uri=referer">HTML</a> | <a href="http://jigsaw.w3.org/css-validator/check/referer">CSS</a></span></p>
</div>

</body>
</html>