<?php
	// Load config file and store variables as keys of $config[]
	$configfile = file("./system/config.txt");
	foreach ($configfile as $line) {
		if (strpos($line, "=")) {
			$key = substr($line, 0, strpos($line, "="));
			$value = trim(substr($line, strpos($line, "=") + 1));
			$config[$key] = $value;
		}
	}
	
	// Get login information
	$a = ""; if (array_key_exists('a', $_GET)) $a = $_GET['a'];
	$p = ""; if (array_key_exists('p', $_GET)) $p = $_GET['p'];
	
	// Deny if illegal username/password
	if (strpos($a, '.') || strpos($a, chr(13)) || strpos($a, chr(10)) || strpos($a, ' ') || strpos($a, '/') || strpos($a, '\\') || strpos($a, '!') || strpos($a, '*') || strpos($a, ':') || strpos($a, '?') || strpos($a, '"') || strpos($a, '<') || strpos($a, '>') || strpos($a, '|')) exit;
	if (strpos($p, chr(13)) || strpos($p, chr(10))) exit;
	
	// Log in
	$found = 0;
	$users = file('./system/users.txt');
	foreach ($users as $userdata) {
		$user = trim(substr($userdata, 0, strpos($userdata, '=')));
		$pwd = trim(substr($userdata, strpos($userdata, '=') + 1));
	
		if ($user == $a && $pwd != $p) { // incorrect password
			header("Location: index.php?errlogin=" . urlencode("Incorrect password."));
			exit;
		}
		if ($user == $a && $pwd == $p) { // match
			$found = 1;
			break;
		}
	}
	if ($found == 0) { // no match
		header("Location: index.php?errlogin=" . urlencode("Archive not found."));
		exit;
	}
?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>Syncbox Account Manager</title>
	<link rel="stylesheet" type="text/css" href="style.css">
	<link rel="icon" type="image/vnd.microsoft.icon" href="favicon.ico">
</head>

<body>

<div id="header">Syncbox Account Manager</div>

<div id="wrap">
<!-- MAIN BODY CONTENT -->

<?php if ($config['adminemail'] != "") { ?><p>If you're having problems with your account, you can contact the server administrator at <a href="mailto:<?php echo $config['adminemail']; ?>"><?php echo $config['adminemail']; ?></a>.</p><?php } ?>
<h1>Change Password</h1>
<?php if (array_key_exists('err', $_GET)) { ?><p class='error'><?php echo $_GET['err']; ?></p><?php } ?>
<form action="changepwd.php" method="post">
	<input type="hidden" name="a" value="<?php echo $a; ?>">
	<input type="hidden" name="p" value="<?php echo $p; ?>">
	New password:&nbsp;&nbsp;<input type="password" name="pwd">
	&nbsp;&nbsp;Confirm password:&nbsp;&nbsp;<input type="password" name="pwdconf">
	<input type="submit" value="  Submit  ">
</form>

<h1>File Manager</h1>
<p>Files that are deleted locally will remain on the server until they are automatically cleaned by the server software, so you can retrieve them if they were accidentally deleted. Deleted files displayed in gray are no longer available on the server.</p>
<p>If you delete a file from the server, it will disappear from the user's computers but remain online for a time, as described above. If you select Delete again, it will be permanently erased from the server; however, if a local user still has it, their computer may attempt to re-upload it, since the server has no record of it.</p>

<table class="fileman" rules=none frame=void border=0 width=100% cellpadding=4 cellspacing=0><tbody>
<tr class="filemanRowHead"><td>File Manager</td><td></td><td></td></tr>
<?php
	$files = file("./boxes/$a/FILES.DAT");
	$rowcolor = "filemanLightRow";
	
	// cycle through files and display
	foreach ($files as $keyname => $line) {
		// get filename and information
		$revisions = trim(substr($line, strrpos($line, ',') + 1));
		$files[$keyname] = trim(substr($line, 1, strrpos($line, '"') - 1));
		
		// tweak visual appearance based on status
		$showdownload = true;
		if ($revisions == -1) { // deleted
			$extratext = " <i>(deleted)</i>";
			$extraformatting = " filemanDeleted";
			if (file_exists('./boxes/' . $a . $files[$keyname]) === false) {
				$extraformatting .= " filemanUnavailable";
				$showdownload = false;
			}
		} else {
			$extraformatting = "";
			$extratext = "";
		}
		
		// output
		echo '<tr class="' . $rowcolor . $extraformatting . '"><td>' . $files[$keyname] . $extratext . '</td>';
		if ($showdownload) {
			echo '<td style="width:75px;"><a href="dldirect.php?a=' . urlencode($a) . '&p=' . urlencode($p) . '&f=' . urlencode(str_replace('\\', '/', $files[$keyname])) . '">Download</a></td>';
		} else {
			echo '<td style="width:75px; color=#AAA;">Download</td>';
		}
		echo '<td style="width:50px;"><a href="delete.php?a=' . urlencode($a) . '&p=' . urlencode($p) . '&f=' . urlencode(str_replace('\\', '/', $files[$keyname])) . '">Delete</td></tr>' . "\n";
		// FIXME pop up delete question - javascript?
		
		// toggle color
		if ($rowcolor == "filemanLightRow") {
			$rowcolor = "filemanDarkRow";
		} else {
			$rowcolor = "filemanLightRow";
		}
	}
?>
</tbody></table>

<!-- END MAIN BODY CONTENT -->
</div>

<div id="footer">
	<p style="margin-top:8px; margin-bottom:8px;">&copy; 2011 Snapdragon Computing. Licensed under the <a href="http://www.gnu.org/licenses/gpl.html">GNU GPL v3.</a> <span style="float:right;">Valid: <a href="http://validator.w3.org/check?uri=referer">HTML</a> | <a href="http://jigsaw.w3.org/css-validator/check/referer">CSS</a></span></p>
</div>

</body>
</html>